corda / net.corda.node.services.config

## Package net.corda.node.services.config

### Types

ConfigHelper | `object ConfigHelper`
FullNodeConfiguration | `class FullNodeConfiguration : NodeConfiguration` baseDirectory is not retrieved from the config file but rather from a command line argument.
NodeConfiguration | `interface NodeConfiguration : SSLConfiguration`
OptionalConfig | `class OptionalConfig<out T>` Helper class for optional configurations
SSLConfiguration | `interface SSLConfiguration`

### Extensions for External Classes

com.typesafe.config.Config |

### Functions

configureDevKeyAndTrustStores | `fun SSLConfiguration.configureDevKeyAndTrustStores(myLegalName: String): Unit`
configureWithDevSSLCertificate | `fun NodeConfiguration.configureWithDevSSLCertificate(): Unit` Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.